export class MediaInfo {
    constructor() {
        this.mVideoId = "";
        this.mTitle = "";
        this.mDuration = 0;
        this.mStatus = "";
        this.mCoverUrl = "";
        this.mMediaType = "";
        this.mTransCodeMode = "FastTranscode";
        this.mTotalBitrate = 0;
        this.mTrackInfos = [];
        this.mThumbnailList = [];
        this.nativeGetVideoId = () => {
            return this.mVideoId;
        };
        this.nativeSetVideoId = (e27) => {
            this.mVideoId = e27;
        };
        this.nativeGetTitle = () => {
            return this.mTitle;
        };
        this.nativeSetTitle = (d27) => {
            this.mTitle = d27;
        };
        this.nativeGetDuration = () => {
            return this.mDuration;
        };
        this.nativeSetDuration = (c27) => {
            this.mDuration = c27;
        };
        this.nativeGetStatus = () => {
            return this.mStatus;
        };
        this.nativeSetStatus = (b27) => {
            this.mStatus = b27;
        };
        this.nativeGetCoverUrl = () => {
            return this.mCoverUrl;
        };
        this.nativeSetCoverUrl = (a27) => {
            this.mCoverUrl = a27;
        };
        this.nativeGetMediaType = () => {
            return this.mMediaType;
        };
        this.nativeSetMediaType = (z26) => {
            this.mMediaType = z26;
        };
        this.nativeGetTransCodeMode = () => {
            return this.mTransCodeMode;
        };
        this.nativeSetTransCodeMode = (y26) => {
            this.mTransCodeMode = y26;
        };
        this.nativeGetTotalBitrate = () => {
            return this.mTotalBitrate;
        };
        this.nativeSetTotalBitrate = (x26) => {
            this.mTotalBitrate = x26;
        };
        this.nativeSetTrackInfos = (w26) => {
            if (w26 != null && w26.length > 0) {
                this.mTrackInfos = this.mTrackInfos.concat(w26);
            }
        };
        this.nativeSetThumbnailList = (v26) => {
            if (v26 != null && v26.length > 0) {
                this.mThumbnailList = this.mThumbnailList.concat(v26);
            }
        };
    }
    getTitle() {
        return this.nativeGetTitle();
    }
    getDuration() {
        return this.nativeGetDuration();
    }
    setDuration(c26) {
        this.nativeSetDuration(c26);
    }
    getStatus() {
        return this.nativeGetStatus();
    }
    getVideoId() {
        return this.nativeGetVideoId();
    }
    getCoverUrl() {
        return this.nativeGetCoverUrl();
    }
    getMediaType() {
        return this.nativeGetMediaType();
    }
    getTransCodeMode() {
        return this.nativeGetTransCodeMode();
    }
    getTotalBitrate() {
        return this.nativeGetTotalBitrate();
    }
    getTrackInfos() {
        return this.mTrackInfos;
    }
    getThumbnailList() {
        return this.mThumbnailList;
    }
}
